﻿using Newtonsoft.Json;
using System.IO;

namespace KellermanSoftware.NetFtpLibraryCoreDemo
{
    internal sealed class ConfigurationSerializer
    {
        public void Serialize(Configuration configuration, string filePath)
        {
            File.WriteAllText(filePath, JsonConvert.SerializeObject(configuration));
        }

        public Configuration Deserialize(string filePath)
        {
            return JsonConvert.DeserializeObject<Configuration>(File.ReadAllText(filePath));
        }
    }
}
